Auto Multiple Choice - Bug # 806: Ordre de tri incorrect dans I'export ODS (gestion des caracteres
accentués ?)
Description: Lors d'un export ODS, on peut choisir un tri par "name", ce qui permet un tri facile par leur nom de famille.

Cependant, j'ai observé la chose suivante. Si on a deux étudiants dont les noms sont, par exemple, GUERON
et GUILLEVAN, alors AMC va ordonner ainsi :

- GUILLEVIC

- GUERIN

Et, a l'inverse, un tri lancé par un outil comme LibreOffice ordonnera lui ainsi :
- GUERIN
- GUILLEVIC

Et en effet, en principe, dans I'alphabet, un E doit étre trié avant un | | AMC a I'air de se tromper,
probablement a cause de l'accent sur le E ?

Cette erreur m'a causé un tracas, car pensant que l'ordre alphabétique était universel, j'ai bétement effectué
un copier-coller depuis mon export ODS effectué vers AMC, vers la fiche tableur que la scolarité me
demandait de remplir. J'ai ainsi malheureusement échangé les notes de deux étudiants, car la fiche de la
scolarité triait elle bien les E avant les |.

History

01/22/2022 09:55 am - Frédéric Bréal
Si I'application est pronote
https://forum.index-education.com/questions/7703/peut-on-prevoir-limport-csv-pronote-avec-conservation-des-accents-utf8-et-pas-win-win. Comme j'ai

déja eu le souci je copie la liste des éléves directement depuis pronote et j'ai d'ailleurs remarqué qu'il n'y a aucun accent sur les noms et prénoms.

05/05/2022 07:15 pm - Alexis Bienveniie

- Status changed from New to Closed

- Target version set to 1.6.0

- % Done changed from 0 to 100

La modification git:e1c45¢63, maintenant intégrée a la version de développement, devrait régler ce probléme.

05/09/2022 11:13 am - Erwan Bousse
Great, thank you Alexis! Looking forward to the next release :)

05/16/2022 07:10 pm - Frédéric Bréal

Un souci avec cette mise a jour. J'ai 2 éleves De Jésus et Degardin qui sont inversés par libreoffice calc (Degardin puis De Jésus) par rapport a
pronote.
